//=================================================================================
//
//					Perspective Fast Marching Method (Main)
//					Date: 30-04-2007
//					By Chi-kin CHOW
//					Version 1.0
//
//=================================================================================

#include<stdio.h>
#include<stdlib.h>
#include<math.h>
#include<malloc.h>
#include"SFS_Structure_Kernel\SFS_Structure_Kernel.H"
#include"SfS_Project_Kernel\SfS_Project_Kernel.H"
#include"Perspective_FMM_Frontal_Kernel\Perspective_FMM_Frontal_Kernel.H"
#include"Generalized_SfS_Main.H"

int main()
{
	double error;
	SFS_Element psp_Model;

//	SfS_Project_Load("4mountains_psp_Frontal_FMM.sfs", &psp_Model);
//	SfS_Project_Load("mozart_psp_Frontal_FMM.sfs", &psp_Model);
	SfS_Project_Load("sphere_psp_Frontal_FMM.sfs", &psp_Model);
//	SfS_Project_Load("vase_psp_Frontal_FMM.sfs", &psp_Model);
	SfS_Project_Information(psp_Model);

	Perspective_FMM_Frontal_Initialization(&psp_Model);
	Perspective_FMM_Frontal_Kernel(&psp_Model);

	error = NonBoundaryError(psp_Model, 5);
	printf("Non-boundary median error = %lf\n", error);

	SfS_Project_IntensityMap_Write("IntensityMap.txt", psp_Model.IntensityMap, psp_Model.no_Row, psp_Model.no_Col);
	SfS_Project_DepthMap_Write("estDepthMap.txt", psp_Model.estDepthMap, psp_Model.no_Row, psp_Model.no_Col);
	SfS_Project_ErrorMap_Write("ErrorMap.txt", psp_Model);

	SfS_Project_Destruction(psp_Model);

	return 0;
}
