#ifndef SFS_PROJECT_KERNEL

#define SFS_PROJECT_KERNEL

#ifndef SFS_STRUCTURE_KERNEL
	#include"..\SFS_Structure_Kernel\SFS_Structure_Kernel.H"
#endif

void SfS_Project_Initialization(SFS_Element*);
void SfS_Project_Load(char*, SFS_Element*);
void SfS_Project_Duplication(SFS_Element*, SFS_Element*);
void SfS_Project_Information(SFS_Element);
void SfS_Project_Construction(SFS_Element*, int, int);
void SfS_Project_Destruction(SFS_Element);

void	SingularPoint_Determination(SFS_Element*, int);
double	NonBoundaryError(SFS_Element, int);

void SfS_Project_DepthMap_Load(char*, double***, int*, int*);
void SfS_Project_DepthMap_Write(char*, double**, int, int);

void SfS_Project_IntensityMap_Load(char*, double***, int*, int*);
void SfS_Project_IntensityMap_Write(char*, double**, int, int);

void SfS_Project_SingularPoint_Write(char*, SFS_Element);
void SfS_Project_GridMap_Write(char*, double**, double**, double**, int, int);
void SfS_Project_OrderMap_Write(char*, SFS_Element);
void SfS_Project_ErrorMap_Write(char*, SFS_Element);

#endif