//=================================================================================
//
//					Structure of Shape from Shading Project
//					Date: 30-04-2007
//					By Chi-kin CHOW
//					Version 1.0
//
//=================================================================================

#ifndef SFS_STRUCTURE_KERNEL

#define SFS_STRUCTURE_KERNEL

#ifndef INF
	#define INF 9999999.0
#endif

typedef struct SFS_ELEMENT {
	int Rendering_mode;

	double Focal_Length;

	int no_Row;
	int no_Col;

	double **Grid_X;
	double **Grid_Y;

	double **Grid_Nx;
	double **Grid_Ny;
	double **Grid_Nz;

	double **dsrDepthMap;
	double **estDepthMap;

	double **IntensityMap;

	int no_RenderingPmtr;
	double *Rendering_Setting;

	//============ Fast Marching Method
	int **OrderMap;
	int no_SingularPoint;
	double **SingularPoint_Set;

} SFS_Element;

#endif